/***************************************************************

   Copyright 1993  Northeast Data Corp.  All Rights Reserved

****************************************************************/

/***************************************************************


   PID.H

   Public definitions for applications that use the PID controller.
    - Messages
    - Notification codes.
    - Control Styles.

   Version 1.0, August 1993, Wade Cobb

****************************************************************/

//Control-specific messages
#define PIDM_SETSETPOINT         (WM_USER+1)
#define PIDM_SETSLIDERCOLOR      (WM_USER+2)
#define PIDM_SETSETPOINTMAX      (WM_USER+3)
#define PIDM_SETSETPOINTMIN      (WM_USER+4)
#define PIDM_SETMEASURED         (WM_USER+5)
#define PIDM_SETACTION           (WM_USER+6)
#define PIDM_SETOUTPUT           (WM_USER+7)
#define PIDM_SETOUTPUTDIRECTION  (WM_USER+8)
#define PIDM_SETOUTPUTMODE       (WM_USER+9)
#define PIDM_SETPOLLPERIOD       (WM_USER+10)
#define PIDM_SETGAIN             (WM_USER+11)
#define PIDM_SETRESET            (WM_USER+12)
#define PIDM_SETPREACT           (WM_USER+13)
#define PIDM_GETSETPOINT         (WM_USER+14)
#define PIDM_GETMEASURED         (WM_USER+15)
#define PIDM_GETOUTPUT           (WM_USER+16)

//Which slider element to send the PIDM_SETSLIDERCOLOR message to
#define SLIDER_SETPOINT_ARROW        1
#define SLIDER_MEASURED_ARROW        2
#define SLIDER_OUTPUT_ARROW          3
#define SLIDER_SETPOINT_TICK         4
#define SLIDER_MEASURED_TICK         5
#define SLIDER_OUTPUT_TICK           6

//Actions sent in wParam of the PIDM_SETACTION message
#define ACTION_STOP                  0
#define ACTION_RUN                   1
#define ACTION_RESET                 2

//Output directions sent in wParam of PIDM_SETOUTPUTDIRECTION message
#define OUTPUTNORMAL                 0
#define OUTPUTREVERSE                1

//Output modes sent in wParam of PIDM_SETOUTPUTMODE message
#define OUTPUTMANUAL                 0
#define OUTPUTAUTOMATIC              1

//Notifications
#define PIDN_SETPOINTCHANGE         1
#define PIDN_MEASUREDCHANGE         2
#define PIDN_OUTPUTCHANGE           3

// The one callable function to force the DLL to load
void FAR PASCAL registerPID(void);
